#!perl

use warnings;
use strict;

use FindBin qw($Bin);
use lib "$Bin/lib";

use Test::More qw(no_plan);

use HTTP::Request::Common;
use HTTP::Request;
use POSIX qw( strftime );

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc";
use Opsview;
use Opsview::Config;

use Sys::Hostname;
my $hostname = Sys::Hostname::hostname;
$hostname = "localhost:3000";

use LWP::UserAgent;
my $ua = LWP::UserAgent->new;


# Check perl input
{
    my $req = HTTP::Request->new(
        "PUT" => "http://$hostname/api",
        [qw(Content-Type text/x-data-dumper)],
        qq{open F, "/etc/hosts"; print <F>},
    );
    ok( my $res = $ua->request($req), "Request" );
    ok( $res->is_error, "Error" );
    is( $res->code, 415, "Status 415 - unknown content-type" );
    like( $res->content, qr/Cannot find a Content-Type supported by your client/, "text error message" );
}

