#!/usr/bin/perl
# Test full export

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);

use Opsview::Test qw(opsview);
my $tempfile = "/tmp/opsview_test.tmp";
my $creds = "--username=admin --password=initial";

$ENV{OPSVIEW_URL_PREFIX}="http://localhost:3000";
is( system("/usr/local/nagios/utils/export_full_config $creds > $tempfile"), 0, "Can export test config database via REST API");
is( system("/usr/local/nagios/bin/db_opsview db_install"), 0, "Can install Opsview with fresh db" );
is( system("/usr/local/nagios/bin/import_json $creds $tempfile"), 0, "Can import via REST API" );
